glewlwyd (2.7.6+ds-3) unstable; urgency=medium

  * Add Catalan translation (Closes: #1104117)
  * Update Brazilian Portuguese translation (Closes: #1103461)

 -- Nicolas Mora <babelouest@debian.org>  Mon, 12 May 2025 16:41:20 -0400

glewlwyd (2.7.6+ds-2) unstable; urgency=medium

  * d/patches: Fix CVE-2024-25715
      possible open redirection via redirect_uri
  * d/control: Use builddep pkgconf instead of pkg-config
  * d/copyright: Update copyright year to 2024

 -- Nicolas Mora <babelouest@debian.org>  Mon, 12 Feb 2024 17:23:41 -0500

glewlwyd (2.7.6+ds-1) unstable; urgency=medium

  * New upstream release
  * Repack source to ignore duplicates (Closes: #1045025)
  * d/rules: Remove configure option -DDOWNLOAD_DEPENDENCIES=OFF
  * d/copyright: Remove ignored files copyright notice
  * d/copyright: Remove CC-BY-3.0 license paragraph
  * d/source: add lintian-override
    package-contains-documentation-outside-usr-share-doc

 -- Nicolas Mora <babelouest@debian.org>  Sat, 18 Nov 2023 19:13:45 -0500

glewlwyd (2.7.5-3) unstable; urgency=medium

  * Install config.json as config-2.7.json (Closes: #1035503)
  * d/glewlwyd-debian.conf.properties: disable user_middleware_module_path

 -- Nicolas Mora <babelouest@debian.org>  Thu, 04 May 2023 07:21:27 -0400

glewlwyd (2.7.5-2) unstable; urgency=medium

  * d/control: add adduser as glewlwyd package dependency, fix piuparts issue
  * d/control: Update description
  * d/control: remove lsb-base from package dependencies
  * d/NEWS: Add message on bullseye upgrade
  * d/Readme.Debian: Add readme to document bullseye transition

 -- Nicolas Mora <babelouest@debian.org>  Tue, 17 Jan 2023 07:24:23 -0500

glewlwyd (2.7.5-1) unstable; urgency=medium

  * New upstream release
  * d/control: Update Standards-Version to 4.6.2
  * d/copyright: Update copyright year to 2023 for debian/* files
  * d/glewlwyd-common.install: restore link bootstrap, jquery and
    fork-awesome
  * d/glewlwyd-debian.conf.properties: disable static_files_path
  * d/glewlwyd-apache.conf: Add apache sample config file

 -- Nicolas Mora <babelouest@debian.org>  Mon, 16 Jan 2023 07:08:39 -0500

glewlwyd (2.7.4-1) unstable; urgency=medium

  * New upstream release

 -- Nicolas Mora <babelouest@debian.org>  Sat, 15 Oct 2022 17:29:50 -0400

glewlwyd (2.7.3-1) unstable; urgency=medium

  * New upstream release
  * d/control: Update description

 -- Nicolas Mora <babelouest@debian.org>  Thu, 25 Aug 2022 07:21:46 -0400

glewlwyd (2.7.2-2) unstable; urgency=medium

  * debian/control: change dependency node-react to node-react-dom
                    Thanks to Yadd for the hint (Closes: #1014681)

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 18 Jul 2022 18:05:19 +0200

glewlwyd (2.7.2-1) unstable; urgency=medium

  * New upstream release
  * d/control: Update standards version to 4.6.1 (no change)

 -- Nicolas Mora <babelouest@debian.org>  Fri, 08 Jul 2022 07:17:21 -0400

glewlwyd (2.7.1-1) unstable; urgency=medium

  * New upstream release

 -- Nicolas Mora <babelouest@debian.org>  Sun, 05 Jun 2022 09:02:36 -0400

glewlwyd (2.7.0-3) unstable; urgency=medium

  * d/patches: fix build with webpack 5 (Closes: #1011519)
  * d/rules: avoid copying node packages to webapp-src/node_modules

 -- Nicolas Mora <babelouest@debian.org>  Wed, 25 May 2022 07:33:44 -0400

glewlwyd (2.7.0-2) unstable; urgency=medium

  * d/glewlwyd-common.install: copy bootstrap, jquery, fork-awesome
    instead of linking it
  * debian/sql/install: Update sql init scripts
  * d/glewlwyd-debian.conf.properties: Update default properties

 -- Nicolas Mora <babelouest@debian.org>  Tue, 03 May 2022 07:21:10 -0400

glewlwyd (2.7.0-1) unstable; urgency=medium

  * New upstream release: Fix CVE-2022-29967
    static_compressed_inmemory_website_callback.c in Glewlwyd through
    2.6.2 allows directory traversal.
  * d/po/es.po: Update Spanish translation (Closes: #1008528)
  * d/config.json: update config.json with default from upstream
  * d/copyright: update years

 -- Nicolas Mora <babelouest@debian.org>  Sat, 30 Apr 2022 08:49:57 -0400

glewlwyd (2.6.2-1) unstable; urgency=medium

  * New upstream release
  * d/patches: remvove webauthn.patch
  * d/po/es.po: Add Spanish translation (Closes: #1003294)

 -- Nicolas Mora <babelouest@debian.org>  Sat, 19 Mar 2022 15:45:43 -0400

glewlwyd (2.6.1-2) unstable; urgency=medium

  * d/patches: possible buffer overflow during signature
      validation in webauthn assertion

 -- Nicolas Mora <babelouest@debian.org>  Thu, 17 Mar 2022 20:55:25 -0400

glewlwyd (2.6.1-1) unstable; urgency=medium

  * New upstream release

 -- Nicolas Mora <babelouest@debian.org>  Wed, 15 Dec 2021 19:17:59 -0500

glewlwyd (2.6.0-1) unstable; urgency=medium

  * New upstream release (Closes: #1000471)
  * d/patches: Remove webauthn buffer overflow patch
  * d/watch: fix filenamemangle
  * d/control: Update standards version to 4.6.0 (no change)
  * d/po/nl.po: Update Dutch translation (Closes: #996790)
  * d/po/de.po: Update German translation (Closes: #994048)
  * d/salsa-ci.yml: enable salsa CI

 -- Nicolas Mora <babelouest@debian.org>  Mon, 22 Nov 2021 20:50:23 -0500

glewlwyd (2.5.2-3) unstable; urgency=medium

  * d/postinst: Run pgsql script on $dbc_server
  * d/install: Copy sql scripts to usr/share/dbconfig-common/data/
  * d/po/es.po: Add spanish translation (Closes: #987477)
  * d/patches: fix webauthn buffer overflow (Closes: #993867)

 -- Nicolas Mora <babelouest@debian.org>  Tue, 07 Sep 2021 19:00:32 -0400

glewlwyd (2.5.2-2) unstable; urgency=medium

  * Fix postgre database initialization (Closes: #985238)
  * d/NEWS: Add message on buster upgrade

 -- Nicolas Mora <babelouest@debian.org>  Sun, 14 Mar 2021 19:32:40 -0400

glewlwyd (2.5.2-1) unstable; urgency=medium

  * New upstream release

 -- Nicolas Mora <babelouest@debian.org>  Fri, 22 Jan 2021 07:27:47 -0500

glewlwyd (2.5.1-1) unstable; urgency=medium

  * New upstream release

 -- Nicolas Mora <babelouest@debian.org>  Sun, 17 Jan 2021 11:05:11 -0500

glewlwyd (2.5.0-1) unstable; urgency=medium

  * New upstream release
  * d/postinst: fix _G_EXTRNAL_URL_ replacement
  * d/tests: Add autopkgtests
  * d/control: Update standards version to 4.5.1 (no change)

 -- Nicolas Mora <babelouest@debian.org>  Mon, 11 Jan 2021 18:18:53 -0500

glewlwyd (2.4.0-1) unstable; urgency=medium

  * New upstream release
  * d/control: replace builddep node-i18next-xhr-backend with
    node-i18next-http-backend
  * d/copyright: update doc/*.md license to CC-BY-4.0

 -- Nicolas Mora <babelouest@debian.org>  Sat, 10 Oct 2020 20:32:12 -0400

glewlwyd (2.3.3-1) unstable; urgency=medium

  * New upstream release

 -- Nicolas Mora <babelouest@debian.org>  Tue, 25 Aug 2020 21:20:05 -0400

glewlwyd (2.3.2-1) unstable; urgency=medium

  * New upstream release
  * [INTL:pt_BR] Brazilian Portuguese debconf templates translation
  * d/control: Remove dh-exec from builddep
  * d/gbp.conf: Add file and ignore unnecessary files in orig source
  * use upstream manpage
  * d/s/lintian-overrides: ignore lintian errrors
    source-contains-prebuilt-javascript-object and
    very-long-line-length-in-source-file

 -- Nicolas Mora <babelouest@debian.org>  Fri, 31 Jul 2020 07:59:25 -0400

glewlwyd (2.3.1-7) unstable; urgency=medium

  * Upload to unstable (Closes: #964136)

 -- Nicolas Mora <nicolas@babelouest.org>  Sun, 05 Jul 2020 18:00:58 -0400

glewlwyd (2.3.1-6) experimental; urgency=medium

  [Peter Michael Green]
  * Split architecture dependent and independent builds.

  [Nicolas Mora]
  * d/rules: remove webpack installed test in override_dh_auto_build
    since glewlwyd-common is now built in override_dh_auto_build-indep
  * d/rules: remove override_dh_auto_build as it is not overridden anymore

 -- Nicolas Mora <nicolas@babelouest.org>  Sun, 05 Jul 2020 13:17:36 -0400

glewlwyd (2.3.1-5) experimental; urgency=medium

  * d/control: use Build-Depends-Indep instead of [amd64] filters
  * d/rules: test if webpack is installed instead of testing host arch
  * d/rules: forbids to download dependencies if not found
  * d/control: suggests rnbyc for binary package glewlwyd

 -- Nicolas Mora <nicolas@babelouest.org>  Sun, 05 Jul 2020 07:47:07 -0400

glewlwyd (2.3.1-4) experimental; urgency=medium

  * Fully build glewlwyd-common only in amd64 arch so glewlwyd can be
    available in more architectures because as for now, arch:all
    packages are built in an amd64 arch
  * d/control: install frontend builddep only in amd64 arch
  * d/rules: build front-end only in amd64 arch

 -- Nicolas Mora <nicolas@babelouest.org>  Sat, 04 Jul 2020 10:49:17 -0400

glewlwyd (2.3.1-3) unstable; urgency=medium

  * d/control: remove unused packages

 -- Nicolas Mora <nicolas@babelouest.org>  Thu, 02 Jul 2020 07:25:46 -0400

glewlwyd (2.3.1-2) unstable; urgency=medium

  * Upload to unstable
  * Fix manpage version
  * [INTL:pt_BR] Brazilian Portuguese debconf templates translation
    (Closes: #938992)
  * Fix ftbfs with GCC-10 (Closes: #957274)
  * Move manpage to the proper section 8

 -- Nicolas Mora <nicolas@babelouest.org>  Fri, 26 Jun 2020 07:58:19 -0400

glewlwyd (2.3.1-1) experimental; urgency=medium

  * New upstream release
  * Use package bootstrap from Debian
  * Use package fonts-fork-awesome from Debian
  * d/postrm: remove config.json on purge
  * d/rules: disable verbose build

 -- Nicolas Mora <nicolas@babelouest.org>  Thu, 25 Jun 2020 19:36:55 -0400

glewlwyd (2.3.0-1) experimental; urgency=medium

  * New upstream release
  * d/control: Remove package font-font-awesome (Closes: #962875)
  * d/glewlwyd.postinst: limit postinst script to create database
    and initialize it, no key generation. Allow pgsql database creation
  * d/glewlwyd.init: Add SysV init file
  * d/copyright: Update entries
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set field Upstream-Contact in debian/copyright.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * debian/control: bump standard to 4.5.0

 -- Nicolas Mora <nicolas@babelouest.org>  Fri, 05 Jun 2020 11:57:15 -0400

glewlwyd (1.4.9-3) unstable; urgency=medium

  * debian/control: bump standard to 4.4.0 (no changes)

 -- Nicolas Mora <nicolas@babelouest.org>  Sun, 25 Aug 2019 09:45:53 -0400

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog glewlwyd`.
